/*     */ package com.netapp.asup.common;
/*     */ 
/*     */ import org.apache.log4j.LogManager;
/*     */ import org.apache.log4j.Logger;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AsupLogger
/*     */ {
/*  12 */   private Logger logger = null;
/*     */   private static final String SEP = ",";
/*     */   
/*     */   public static <T> AsupLogger getLogger(Class<T> name) {
/*  16 */     return new AsupLogger(LogManager.getLogger(name));
/*     */   }
/*     */   
/*     */   protected AsupLogger(Logger logger) {
/*  20 */     this.logger = logger;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isDebugEnabled()
/*     */   {
/*  31 */     return this.logger.isDebugEnabled();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isInfoEnabled()
/*     */   {
/*  39 */     return this.logger.isInfoEnabled();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isTraceEnabled()
/*     */   {
/*  47 */     return this.logger.isTraceEnabled();
/*     */   }
/*     */   
/*     */   public void info(String asupId, String msg) {
/*  51 */     this.logger.info(asupId + "," + msg, null);
/*     */   }
/*     */   
/*     */   protected void info(String asupId, String msg, Throwable t)
/*     */   {
/*  56 */     this.logger.info(asupId + "," + msg, t);
/*     */   }
/*     */   
/*     */   public void info(String asupId, String sectionNameOrPathName, String msg)
/*     */   {
/*  61 */     this.logger.info(asupId + "," + sectionNameOrPathName + "," + msg, null);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void info(String asupId, String sectionNameOrPathName, String msg, Throwable t)
/*     */   {
/*  69 */     this.logger.info(asupId + "," + sectionNameOrPathName + "," + msg, t);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void info(String asupId, String sectionName, String filePathName, String msg)
/*     */   {
/*  77 */     this.logger.info(asupId + "," + sectionName + "," + filePathName + "," + msg, null);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void info(String asupId, String sectionName, String filePathName, String msg, Throwable t)
/*     */   {
/*  85 */     this.logger.info(asupId + "," + sectionName + "," + filePathName + "," + msg, t);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public void debug(String asupId, String msg)
/*     */   {
/*  92 */     this.logger.debug(asupId + "," + msg, null);
/*     */   }
/*     */   
/*     */   public void debug(String asupId, String msg, Throwable t)
/*     */   {
/*  97 */     this.logger.debug(asupId + "," + msg, t);
/*     */   }
/*     */   
/*     */   public void debug(String asupId, String sectionNameOrPathName, String msg)
/*     */   {
/* 102 */     this.logger.debug(asupId + "," + sectionNameOrPathName + "," + msg, null);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void debug(String asupId, String sectionNameOrPathName, String msg, Throwable t)
/*     */   {
/* 110 */     this.logger.debug(asupId + "," + sectionNameOrPathName + "," + msg, t);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void debug(String asupId, String sectionName, String filePathName, String msg)
/*     */   {
/* 118 */     this.logger.debug(asupId + "," + sectionName + "," + filePathName + "," + msg, null);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void debug(String asupId, String sectionName, String filePathName, String msg, Throwable t)
/*     */   {
/* 126 */     this.logger.debug(asupId + "," + sectionName + "," + filePathName + "," + msg, t);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public void trace(String asupId, String msg)
/*     */   {
/* 133 */     this.logger.trace(asupId + "," + msg, null);
/*     */   }
/*     */   
/*     */   public void trace(String asupId, String msg, Throwable t)
/*     */   {
/* 138 */     this.logger.trace(asupId + "," + msg, t);
/*     */   }
/*     */   
/*     */   public void trace(String asupId, String sectionNameOrPathName, String msg)
/*     */   {
/* 143 */     this.logger.trace(asupId + "," + sectionNameOrPathName + "," + msg, null);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void trace(String asupId, String sectionNameOrPathName, String msg, Throwable t)
/*     */   {
/* 151 */     this.logger.trace(asupId + "," + sectionNameOrPathName + "," + msg, t);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void trace(String asupId, String sectionName, String filePathName, String msg)
/*     */   {
/* 159 */     this.logger.trace(asupId + "," + sectionName + "," + filePathName + "," + msg, null);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void trace(String asupId, String sectionName, String filePathName, String msg, Throwable t)
/*     */   {
/* 167 */     this.logger.trace(asupId + "," + sectionName + "," + filePathName + "," + msg, t);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public void warn(String asupId, String msg)
/*     */   {
/* 174 */     this.logger.warn(asupId + "," + msg, null);
/*     */   }
/*     */   
/*     */   public void warn(String asupId, String msg, Throwable t)
/*     */   {
/* 179 */     this.logger.warn(asupId + "," + msg, t);
/*     */   }
/*     */   
/*     */   public void warn(String asupId, String sectionNameOrPathName, String msg)
/*     */   {
/* 184 */     this.logger.warn(asupId + "," + sectionNameOrPathName + "," + msg, null);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void warn(String asupId, String sectionNameOrPathName, String msg, Throwable t)
/*     */   {
/* 192 */     this.logger.warn(asupId + "," + sectionNameOrPathName + "," + msg, t);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void warn(String asupId, String sectionName, String filePathName, String msg)
/*     */   {
/* 200 */     this.logger.warn(asupId + "," + sectionName + "," + filePathName + "," + msg, null);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void warn(String asupId, String sectionName, String filePathName, String msg, Throwable t)
/*     */   {
/* 208 */     this.logger.warn(asupId + "," + sectionName + "," + filePathName + "," + msg, t);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   protected void error(String asupId, String sectionName, String filePathName, String msg, Throwable t)
/*     */   {
/* 218 */     this.logger.error(asupId + "," + sectionName + "," + filePathName + "," + msg, t);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   protected void error(String asupId, String sectionName, String filePathName, String msg)
/*     */   {
/* 226 */     this.logger.error(asupId + "," + sectionName + "," + filePathName + "," + msg, null);
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\com\netapp\asup\common\AsupLogger.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */